#ifndef _KGR_PATCH_BSC1019079_H
#define _KGR_PATCH_BSC1019079_H

int kgr_patch_bsc1019079_init(void);
void kgr_patch_bsc1019079_cleanup(void);
ssize_t kgr_bsg_write(struct file *file, const char __user *buf, size_t count,
	loff_t *ppos);
ssize_t kgr_sg_write(struct file *filp, const char __user *buf, size_t count,
	loff_t * ppos);

#define KGR_PATCH_BSC1019079_FUNCS			\
	KGR_PATCH(bsg_write, kgr_bsg_write),		\
	KGR_PATCH_OBJ(sg_write, kgr_sg_write, "sg"),

#endif
